# Spec file for php-base32
#
# Copyright (c) 2013-2014 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
#%%global gh_commit    6a8aec204688d36681e0185fbaf1974b97e4a070
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     christianriesen
%global gh_project   base32

Name:           php-%{gh_project}
Summary:        Base32 Encoder/Decoder for PHP according to RFC 4648
Version:        1.6.0
Release:        %mkrel 1

URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{version}.tar.gz
License:        MIT
Group:          Development/PHP
BuildArch:      noarch

Provides:       php-composer(christianriesen/base32) = %{version}-%{release}
Provides:       php-composer(base32) = %{version}-%{release}
Obsoletes:	php-christianriesen-base32 < 1.3.1

# From composer.json
Requires:       php >= 5.4

%description
Base32 Encoder/Decoder for PHP according to RFC 4648.

%prep
%setup -q -n %{gh_project}-%{?gh_commit:%{gh_commit}}%{!?gh_commit:%{version}}

#%make_build
# nothing to build

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{_datadir}/php/Base32/
cp -pr src/* %{buildroot}%{_datadir}/php/Base32/.

%check

%files
%doc LICENSE README.md
%{_datadir}/php/Base32




%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 1.6.0-1.mga9
+ Revision: 1851842
- new version 1.6.0

* Mon Mar 21 2022 umeabot <umeabot> 1.3.1-5.mga9
+ Revision: 1810688
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3.1-4.mga8
+ Revision: 1507203
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1287645
- Mageia 7 Mass Rebuild

* Tue Jan 09 2018 mokraemer <mokraemer> 1.3.1-2.mga7
+ Revision: 1191970
- corrected provides

* Wed Nov 29 2017 mokraemer <mokraemer> 1.3.1-1.mga7
+ Revision: 1180236
- updated php-ChristianRiesen_base32 to php-base32
- Created package structure for php-base32.

